Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.typeresolution.visitors
Class PMDASMVisitor

    java.lang.Object
      net.sourceforge.pmd.typeresolution.visitors.PMDASMVisitor

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

    public class PMDASMVisitor

extends java.lang.Object
implements org.objectweb.asm.ClassVisitor

Field Summary
`java.util.List<java.lang.String>` | `innerClasses`

Constructor Summary
`PMDASMVisitor()`

Method Summary
`java.util.List<java.lang.String>` | `getInnerClasses()`
`java.util.Map<java.lang.String,java.lang.String>` | `getPackages()`
`void` | `visit(int version, int access, java.lang.String name, java.lang.String sig, java.lang.String superName, java.lang.String[] interfaces)`
`org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
`void` | `visitAttribute(org.objectweb.asm.Attribute attr)`
`void` | `visitEnd()`
`org.objectweb.asm.FieldVisitor` | `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String sig, java.lang.Object value)`
`void` | `visitInnerClass(java.lang.String name, java.lang.String outerName, java.lang.String innerName, int access)`
`org.objectweb.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String sig, java.lang.String[] exceptions)`
`void` | `visitOuterClass(java.lang.String owner, java.lang.String name, java.lang.String desc)`
`void` | `visitSource(java.lang.String source, java.lang.String debug)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### innerClasses

    public java.util.List<java.lang.String> innerClasses

Constructor Detail

### PMDASMVisitor

    public PMDASMVisitor()

Method Detail

### getPackages

    public java.util.Map<java.lang.String,java.lang.String> getPackages()

### getInnerClasses

    public java.util.List<java.lang.String> getInnerClasses()

### visit

    public void visit(int version,
                      int access,
                      java.lang.String name,
                      java.lang.String sig,
                      java.lang.String superName,
                      java.lang.String[] interfaces)

  Specified by:
    `visit` in interface `org.objectweb.asm.ClassVisitor`

### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String desc,
                                                               boolean visible)

  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.ClassVisitor`

### visitField

    public org.objectweb.asm.FieldVisitor visitField(int access,
                                                     java.lang.String name,
                                                     java.lang.String desc,
                                                     java.lang.String sig,
                                                     java.lang.Object value)

  Specified by:
    `visitField` in interface `org.objectweb.asm.ClassVisitor`

### visitMethod

    public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                       java.lang.String name,
                                                       java.lang.String desc,
                                                       java.lang.String sig,
                                                       java.lang.String[] exceptions)

  Specified by:
    `visitMethod` in interface `org.objectweb.asm.ClassVisitor`

### visitSource

    public void visitSource(java.lang.String source,
                            java.lang.String debug)

  Specified by:
    `visitSource` in interface `org.objectweb.asm.ClassVisitor`

### visitInnerClass

    public void visitInnerClass(java.lang.String name,
                                java.lang.String outerName,
                                java.lang.String innerName,
                                int access)

  Specified by:
    `visitInnerClass` in interface `org.objectweb.asm.ClassVisitor`

### visitOuterClass

    public void visitOuterClass(java.lang.String owner,
                                java.lang.String name,
                                java.lang.String desc)

  Specified by:
    `visitOuterClass` in interface `org.objectweb.asm.ClassVisitor`

### visitEnd

    public void visitEnd()

  Specified by:
    `visitEnd` in interface `org.objectweb.asm.ClassVisitor`

### visitAttribute

    public void visitAttribute(org.objectweb.asm.Attribute attr)

  Specified by:
    `visitAttribute` in interface `org.objectweb.asm.ClassVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.